# Csm::Resource::Generator

A XML Generator for [CSM](http://www.fujitsu.com/jp/products/software/middleware/business-middleware/middleware/csm/) version 1.1 or later.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'csm-resource-generator'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install csm-resource-generator

## Usage

### create XML files for `fscsm_org create`

```
bundle exec csm-resource-generator org orgSample 2:3:3 output.xml
```


## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/tamoot/csm-resource-generator. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

