# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'csm/resource/generator/version'

Gem::Specification.new do |spec|
  spec.name          = "csm-resource-generator"
  spec.version       = Csm::Resource::Generator::VERSION
  spec.authors       = ["Masahiro TAMURA"]
  spec.email         = ["tamoot@gmail.com"]

  spec.summary       = %q{Resource Generator for CSM}
  spec.description   = %q{Resource Generator for Cloud Services Managements. http://jp.fujitsu.com/solutions/cloud/paas/services-management/}
  spec.homepage      = "https://github.com/tamoot/csm-resource-generator"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_dependency 'thor', '~> 0.18'
end
